Last Comment Bug 855549 - Project Kickoff Form: Dependent bugs weren't created from form
: Project Kickoff Form: Dependent bugs weren't created from form
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: other
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on: 856212 856936
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-27 17:07 PDT by Liz Compton [:liz]
Modified: 2013-05-09 15:20 PDT (History)
5 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Bugmail from bug 856721 (14.03 KB, application/octet)
2013-04-01 13:51 PDT, Liz Compton [:liz]
no flags Details

Description Liz Compton [:liz] 2013-03-27 17:07:05 PDT
Please see Bug 855537. None of the dependent bugs were generated. Please fix as quickly as possible. Once fixed, I'll ask the reporter to submit a new form for the project.
Comment 1 Liz Compton [:liz] 2013-03-29 11:41:14 PDT
It looks like there were errors creating dependent bugs again with bug 856063. MRZ closed it as invalid, but below is the email I got which says there were errors, and if you go the bug it doesn't show any dependent bugs.

Is anyone looking into this problem?

Bug ID	856063
Summary	Network Infrastructure Audit
Classification	Other
Product	mozilla.org
Version	other
Hardware	All
OS	All
Status	NEW
Severity	normal
Priority	--
Component	Project Review
Assignee	nobody@mozilla.org
Reporter	mrz@mozilla.com
CC	mrz@mozilla.com
Depends on	856064, 856065, 856066
Group	mozilla-corporation-confidential
Depends on	856064
Depends on	856065
Depends on	856066

Comment # 1 on Bug 856063 from matthew zeier [:mrz] at 2013-03-29 09:23:30 PDT

Error creating sec-review review bug
Bug 856064 - Legal Review: Network Infrastructure Audit
Bug 856065 - Privacy-Technical Review: Network Infrastructure Audit
Bug 856066 - Privacy-Policy Review: Network Infrastructure Audit

Some erors occurred creating dependent bugs and have been recorded

Initial Questions:

Project/Feature Name: Network Infrastructure Audit
Tracking  ID:
Description:
Third-party Infrastructure audit to provide Strengths, Weaknesses,
Opportunities & Threats.


Additional Information:

Urgency: 2-4 weeks
Key Initiative: Corp Support
Release Date: 
Project Status: ready
Mozilla Data: Yes
New or Change: Neither
Mozilla Project: none
Mozilla Related: 
Separate Party: Yes
Type of Relationship: Vendor/Services
Data Access: No
Privacy Policy: 
Vendor Cost: <= $25,000


Referenced Bugs:

    [Bug 856064] Legal Review: Network Infrastructure Audit
    [Bug 856065] Privacy-Technical Review: Network Infrastructure Audit
    [Bug 856066] Privacy-Policy Review: Network Infrastructure Audit 


Product/Component: mozilla.org :: Project Review
You are receiving this mail because:

    You are watching the component for the bug.
Comment 2 Michael Coates [:mcoates] (acct no longer active) 2013-03-29 13:58:01 PDT
(In reply to Liz Compton from comment #1)
> It looks like there were errors creating dependent bugs again with bug
> 856063. MRZ closed it as invalid, but below is the email I got which says
> there were errors, and if you go the bug it doesn't show any dependent bugs.

Moving to the correct product:component to get eyes on it. Most likely no one saw this bug in the other component
Comment 3 David Lawrence [:dkl] 2013-03-29 15:35:29 PDT
Ok. I tried to see what the errors were but somehow do not seem to be able to access any error logs at the moment or I am not set up correctly to do so. I will file a bug to see if I can get access to the test instance to debug this. 

No code changes have been made in the last week or so that should have affected the backend code but I need to see the errors if possible. 

Sorry for the inconvenience.

dkl
Comment 4 Liz Compton [:liz] 2013-04-01 13:51:13 PDT
Created attachment 732035 [details]
Bugmail from bug 856721

David - It happened again this morning with bug 856721. I've attached the bugmail I received. It says there were errors, but shows a list of generated bugs. Those bugs weren't created, however, because if you try to click on them you get an error message saying a valid bug number must be entered.
Comment 5 David Lawrence [:dkl] 2013-04-01 22:36:54 PDT
(In reply to Liz Compton from comment #4)
> Created attachment 732035 [details]
> Bugmail from bug 856721
> 
> David - It happened again this morning with bug 856721. I've attached the
> bugmail I received. It says there were errors, but shows a list of generated
> bugs. Those bugs weren't created, however, because if you try to click on
> them you get an error message saying a valid bug number must be entered.

I re-added the sec-review-needed keyword back as it was dropped recently in favor of the sec-review? flag. I will be updating the code to use the flag this week (bug 856936). This will fix the "Error creating sec-review review bug" error.

dkl
Comment 6 Liz Compton [:liz] 2013-04-01 22:39:34 PDT
None of the other dependent bugs were created either so it seems like a bigger problem.
Comment 7 David Lawrence [:dkl] 2013-04-01 22:44:56 PDT
(In reply to Liz Compton from comment #6)
> None of the other dependent bugs were created either so it seems like a
> bigger problem.

After the sec-review-keyword, change I tried a test submission and all dependent bugs were created

https://bugzilla.mozilla.org/show_bug.cgi?id=856937

I tried to answer the initial questions similarly to the answers from bug 856721. We can do some more testing to make sure it is not a bigger issue as you noted.

dkl
Comment 8 Liz Compton [:liz] 2013-04-08 14:08:32 PDT
dkl - The same thing happened this morning with Bug 859475. Only one dependent bug was created even though the email says 3 were.
Comment 9 David Lawrence [:dkl] 2013-04-08 15:00:12 PDT
(In reply to Liz Compton from comment #8)
> dkl - The same thing happened this morning with Bug 859475. Only one
> dependent bug was created even though the email says 3 were.

Ugh. Found the error:

web4/2013-04-08.log:Apr  8 13:05:57 web4 apache: [Mon Apr 08 13:05:57 2013] [warn] [Bug 859475] Failed to create additional moz-project-review bugs:\nlegal : There is no component \n      named 'none'\n      in the 'Legal' product.\n

So I see the issue now. I need to change the code to choose 'General' as the Legal component when filing the legal bug and the Mozilla Project selected is 'None'.

Also looking at the code now, I see that the drop down selection 'Marketing Initiative' is alos not a legal component in the Legal product. Should I change the Mozilla Project 'Marketing Initiative' choice to simply 'Marketing' to match the component name, or change the component name to 'Marketing Initiative' to match to the UI drop down?

dkl
Comment 10 David Lawrence [:dkl] 2013-04-08 15:16:43 PDT
Fixed the issue when selecting 'None' as the Mozilla Project (selects General as the Legal component).

Still need a quick answer about the 'Marketing Initiative' question in comment 9.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
Committed revision 8721.
Comment 11 Liz Compton [:liz] 2013-04-17 19:27:15 PDT
If they need to match you can change the Legal component to Marketing Initiative if that won't have any impact, but I'm not sure they need to match. I noticed that none was added as a legal component, but we don't want that. Could you remove it?

The original legal component mapping can be seen here: https://wiki.mozilla.org/Websites/Kick-Off_Form/Requirements. Some of that won't work after v 1.1 is rolled out.
Comment 12 David Lawrence [:dkl] 2013-04-19 09:14:11 PDT
(In reply to Liz Compton from comment #11)
> If they need to match you can change the Legal component to Marketing
> Initiative if that won't have any impact, but I'm not sure they need to
> match. I noticed that none was added as a legal component, but we don't want
> that. Could you remove it?
> 
> The original legal component mapping can be seen here:
> https://wiki.mozilla.org/Websites/Kick-Off_Form/Requirements. Some of that
> won't work after v 1.1 is rolled out.

Sorry for the confusion on my part. I have committed UI change to make the drop down values match what is currently in the Legal components as well as match the Kickoff form requirements doc.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2         
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
Committed revision 8744. 

dkl

Note You need to log in before you can comment on or make changes to this bug.